<?php
/**
 * GiroCheckout SDK.
 *
 * Include just this file. It will load any required files to use the SDK.
 * View examples for API calls.
 *
 * @package GiroCheckout
 * @version $Revision: 31 $ / $Date: 2014-06-11 09:55:39 +0200 (Mi, 11 Jun 2014) $
 */

if(defined('__GIROCKECKOUT_SDK_DEBUG__') && __GIROCKECKOUT_SDK_DEBUG__) {
    require_once 'helper/GiroCheckout_SDK_Debug.php';
    define('__GIROCHECKOUT_SDK_DEBUG_LOG_PATH__', __DIR__.'/log/');
}

//SDK-files
require_once 'helper/GiroCheckout_SDK_Exception.php';
require_once 'api/GiroCheckout_SDK_InterfaceApi.php';
require_once 'api/GiroCheckout_SDK_AbstractApi.php';
require_once 'helper/GiroCheckout_SDK_TransactionType_helper.php';
require_once 'helper/GiroCheckout_SDK_Hash_helper.php';
require_once 'helper/GiroCheckout_SDK_Curl_helper.php';
require_once 'helper/GiroCheckout_SDK_ResponseCode_helper.php';
require_once 'helper/GiroCheckout_SDK_ResultCode_helper.php';
require_once 'GiroCheckout_SDK_Request.php';
require_once 'GiroCheckout_SDK_Notify.php';

//payment methods
require_once 'api/giropay/GiroCheckout_SDK_GiropayBankstatus.php';
require_once 'api/giropay/GiroCheckout_SDK_GiropayTransaction.php';
require_once 'api/giropay/GiroCheckout_SDK_GiropayTransactionWithGiropayID.php';
require_once 'api/giropay/GiroCheckout_SDK_GiropayIDCheck.php';

require_once 'api/ideal/GiroCheckout_SDK_IdealIssuerList.php';
require_once 'api/ideal/GiroCheckout_SDK_IdealPayment.php';

require_once 'api/creditcard/GiroCheckout_SDK_CreditCardTransaction.php';
require_once 'api/creditcard/GiroCheckout_SDK_CreditCardRecurringTransaction.php';
require_once 'api/creditcard/GiroCheckout_SDK_CreditCardGetPKN.php';

require_once 'api/directdebit/GiroCheckout_SDK_DirectDebitTransaction.php';
require_once 'api/directdebit/GiroCheckout_SDK_DirectDebitTransactionWithPaymentPage.php';

require_once 'api/paypal/GiroCheckout_SDK_PaypalTransaction.php';

//tools
require_once 'api/tools/GiroCheckout_SDK_Tools_GetTransaction.php';


