<?php
/**
 * Helper class which manages response codes and its meanings.
 *
 * @package GiroCheckout
 * @version $Revision: 24 $ / $Date: 2014-05-22 14:30:12 +0200 (Do, 22 Mai 2014) $
 */
class GiroCheckout_SDK_ResponseCode_helper
{
    /*
     * contains the response codes and messages in different languages
     */
    private static $code = array('DE' => array(
            0    => 'OK',
            5000 => 'Authentifizierung fehlgeschlagen',
            5001 => 'keine Berechtigung',
            5002 => 'hash ungültig',
            5003 => 'Pflichtfeld nicht angegeben',
            5004 => 'Aufruf ungültig',
            5009 => 'E-Mail ungültig',
            5010 => 'Sprache ungültig',
            5011 => 'Land ungültig',
            5012 => 'Branche ungültig',
            5013 => 'Shopsystem ungültig',
            5014 => 'Geschlecht ungültig',
            5015 => 'Produkt ungültig',
            5016 => 'Organisationstyp ungültig',
            5017 => 'Händler existiert bereits',
            5018 => 'PSP ungültig',
            5019 => 'Kreditkartentyp ungültig',
            5030 => 'Betrag ungültig',
            5031 => 'Bankleitzahl oder BIC nicht angegeben',
            5032 => 'Lastschrift Sequenztyp ungültig',
            5033 => 'Währung ungültig',
            5034 => 'Transaktion nicht vorhanden',
            5100 => 'Fehler beim Zahlungsabwickler',
            5101 => 'Verbindungsproblem zum Zahlungsabwickler',
            5102 => 'Pseudo-Kartennummer nicht vorhanden',
            5200 => 'Transaktion nicht akzeptiert',
            5201 => 'giropay Bank offline',
            5202 => 'giropay Bank des Absenders ungültig',
            5203 => 'Bankverbindung des Absenders auf Blacklist',
            5204 => 'Bankverbindung des Absenders ungültig',
            6000 => 'Bankleitzahl oder BIC fehlt',
            6001 => 'Bank unbekannt',
            6002 => 'Bank unterstützt kein giropay',
            9999 => 'interner Fehler',
            // old codes
            1900 => 'Transaktion nicht akzeptiert',
            1910 => 'giropay Bank offline',
            1920 => 'Bankverbindung des Absenders ungültig',
            1930 => 'Bankverbindung des Absenders auf Blacklist',
            1940 => 'Bankverbindung des Absenders ungültig',
            2000 => 'Timeout / keine Benutzereingabe',
            2400 => 'Online Banking-Zugang ungültig',
            3100 => 'Abbruch durch Benutzer',
            3900 => 'giropay Bank offline',
        ),

        'EN' => array(
            0    => 'OK',
            5000 => 'authentication failed',
            5001 => 'no authorization',
            5002 => 'invalid hash',
            5003 => 'mandatory field not specified',
            5004 => 'invalid call',
            5009 => 'invalid mail',
            5010 => 'invalid language',
            5011 => 'invalid country',
            5012 => 'invalid branch',
            5013 => 'invalid shop system',
            5014 => 'invalid gender',
            5015 => 'invalid product',
            5016 => 'invalid organisation type',
            5017 => 'merchant already exist',
            5018 => 'invalid PSP',
            5019 => 'invalid credit card type',
            5030 => 'invalid amount',
            5031 => 'bankcode or BIC missing',
            5032 => 'invalid direct debit sequence type',
            5033 => 'invalid currency',
            5034 => 'transaction does not exist',
            5100 => 'error from payment processor',
            5101 => 'connection problem to payment processor',
            5102 => 'pseudo-cardnumber does not exist',
            5200 => 'not accepted transaction',
            5201 => 'giropay bank offline',
            5202 => 'invalid giropay bank of sender',
            5203 => 'sender bank account blacklisted',
            5204 => 'invalid sender bank account',
            6000 => 'bankcode or BIC missing',
            6001 => 'bank unknown',
            6002 => 'bank does not support giropay',
            9999 => 'internal error',
            // old codes
            1900 => 'not accepted transaction',
            1910 => 'giropay bank offline',
            1920 => 'invalid sender bank account',
            1930 => 'sender bank account blacklisted',
            1940 => 'invalid sender bank account',
            2000 => 'timeout / no user input',
            2400 => 'online banking account invalid',
            3100 => 'user aborted',
            3900 => 'giropay bank offline',
        ),
    );

    /*
     * returns the message string of an given code in the given language
     * @param integer code
     * @param String language
     * @return null/String message
     */
    public static function getMessage($code,$lang='DE') {
        if($code && self::$code[$lang][$code])
            return self::$code[$lang][$code];

        return null;
    }
} 